Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038630
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-05-25 12:302018-06-01 09:53
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisione58d1aeff8f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038630: Specify the HTML version to use when building the javadoc

DescriptionStarting from JDK10, a warning is shown in the javadoc generation task if the HTML version to use is not specified.
Steps To Reproduce1) Run ant generate.java.doc with JDK10
2) The following warning appears:
....
  [javadoc] Constructing Javadoc information...
  [javadoc] javadoc: warning - You have not specified the version of HTML to use.
  [javadoc] The default is currently HTML 4.01, but this will change to HTML5
  [javadoc] in a future release. To suppress this warning, please specify the
  [javadoc] version of HTML used in your documentation comments and to be
  [javadoc] generated by this doclet, using the -html4 or -html5 options.
....


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038214 closedcaristu -Xdoclint:-missing is also required to build the javadoc in jdk8 
related to feature request 0038196 closedplatform support for JDK 10 
depends on backport 00386313.0PR18Q2.1 closedcaristu Specify the HTML version to use when building the javadoc 

-  Notes
(0104713)
hgbot (developer)
2018-05-25 13:05

Repository: erp/devel/pi
Changeset: e58d1aeff8f8c8e953f44c116ff63f72829d01f5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 25 12:59:25 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e58d1aeff8f8c8e953f44c116ff63f72829d01f5 [^]

fixes issue 38630: Specify the HTML version to use when building the javadoc

  Starting from JDK9 it is possible to specify the HTML version to use when building the javadoc. In JDK10, if the format is not specified a warning is displayed.

  Setting HTML5 as the default format starting from JDK9.

---
M build.xml
---
(0104751)
hudsonbot (developer)
2018-05-28 16:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/816950756de8 [^]
Maturity status: Test
(0104861)
alostale (developer)
2018-06-01 09:53

reviewed + tested

- Issue History
Date Modified Username Field Change
2018-05-25 12:30 caristu New Issue
2018-05-25 12:30 caristu Assigned To => caristu
2018-05-25 12:30 caristu Modules => Core
2018-05-25 12:30 caristu Triggers an Emergency Pack => No
2018-05-25 12:30 caristu Issue generated from 0038214
2018-05-25 12:30 caristu Relationship added related to 0038214
2018-05-25 12:31 caristu Relationship added related to 0038196
2018-05-25 12:31 caristu Status new => scheduled
2018-05-25 13:05 hgbot Checkin
2018-05-25 13:05 hgbot Note Added: 0104713
2018-05-25 13:05 hgbot Status scheduled => resolved
2018-05-25 13:05 hgbot Resolution open => fixed
2018-05-25 13:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e58d1aeff8f8c8e953f44c116ff63f72829d01f5 [^]
2018-05-25 13:05 caristu Review Assigned To => alostale
2018-05-28 16:08 hudsonbot Checkin
2018-05-28 16:08 hudsonbot Note Added: 0104751
2018-06-01 09:53 alostale Note Added: 0104861
2018-06-01 09:53 alostale Status resolved => closed
2018-06-01 09:53 alostale Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker